Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::rref_fn Struct Reference
Utility
Inheritance diagram for ranges::v3::rref_fn:

## Public Member Functions
template<typename T , requires = (!is_reference_wrapper_t<T>() && !std::is_lvalue_reference<T>::value)>
reference_wrapper< T, true > | operator() (T &&t) const
template<typename T >
reference_wrapper< T, true > | operator() (reference_wrapper< T, true > t) const

## Member Function Documentation

## ◆ operator()()

template<typename T >

reference_wrapper<T, true> ranges::v3::rref_fn::operator() | ( | reference_wrapper< T, true > | t | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.